For the complete documentation index, see llms.txt. This page is also available as Markdown.

StopInstances

1. API Description

This API (StopInstances) is used to shut down one or more elastic compute instances.

Notes

  • This operation can be performed on instances in the running (RUNNING) or stopping (STOPPING) status. In some scenarios, a regular shutdown may fail. You can set forceShutdown = true to force a shutdown.

  • This interface is asynchronous. The request to shut down instances returns immediately after it is sent successfully, but the operation is not completed at that point. The operation result can be queried by calling the DescribeInstancesStatus interface: if the instance status (instanceStatus) changes from STOPPING to STOPPED, the instance is shut down successfully. No operation can be performed on the instance during the shutdown.

  • Batch operations are supported. Up to 100 instances can be operated on in each request.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceIds

Yes

Array of String

ID of the instance to be shut down.

It can be obtained by calling DescribeInstances.

forceShutdown

No

Boolean

Whether to force shutdown.

If the value is empty, a forced shutdown will be performed by default.

Default value: true

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

instanceIds

Array of String

A list of instance IDs that failed to shut down.

4. Code Example

Shut down instances of the specified IDs.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_INSTANCE_IN_OPERATION

Instance is performing another operation.

400

UNSUPPORTED_OPERATION_INSTANCE_STATUS

Operations on instances in current state are not supported.

Last updated